## com.sun.jersey.spi.scanning.servlet
Class WebAppResourcesScanner

    java.lang.Object
      com.sun.jersey.spi.scanning.servlet.WebAppResourcesScanner

All Implemented Interfaces:
  Scanner

    public class WebAppResourcesScanner

extends java.lang.Object
implements Scanner

A scanner that recursively scans resources within a Web application.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`WebAppResourcesScanner(java.lang.String[] paths, javax.servlet.ServletContext sc)` Scan from a set of web resource paths.

Method Summary
`void` | `scan(ScannerListener cfl)` Perform a scan and report resources to a scanning listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppResourcesScanner

    public WebAppResourcesScanner(java.lang.String[] paths,
                                  javax.servlet.ServletContext sc)

  Scan from a set of web resource paths.

  Parameters:
    `paths` - an array of web resource paths.
    `sc` -

Method Detail

### scan

    public void scan(ScannerListener cfl)

  Description copied from interface: `Scanner`
  Perform a scan and report resources to a scanning listener.

  Specified by:
    `scan` in interface `Scanner`
  Parameters:
    `cfl` - the scanning listener to report entries.

Copyright © 2017 Oracle Corporation. All Rights Reserved.